
#include <mgl.h>

void mainMakeCheckImage (unsigned char *map, int size, int segs)
{
  int i,j;

  for (j = 0; j < size; j++) 
  {
    for (i = 0; i < size; i++) 
    {
      if ((i ^ j) & segs)
        *map = 0;
      else
        *map = 255;
      map++;
    }
  }
}

int main (void)
{
  mglImage *image;

  mglOpenWindow ("Demonstrace modulu Images", 100, 100, 256, 256);

  image = mglCreateImage (64, 64, 1);
  image->type = GL_LUMINANCE;
  mainMakeCheckImage (image->data, 64, 8);
  mglSaveImage ("chess.tga", image);
  mglDeleteImage (image);

  mglMessage ("Note", "Created image has been saved to file chess.tga");
  return 0;
}
